# Revpayment

This is the common starter project of Revtel's backend payment microservice
## Payment documents

* Ecpay doc: https://drive.google.com/drive/folders/1MtLL9epZS-n-eP4vHeJkSaS4tMuir69h
* NCCC doc: https://drive.google.com/open?id=1ugrP0mAbsQfRSnJ4jiKohsvOXLJL4tfJ

## Microservice setup 

In your dev env install the package, like this:

```bash
source .env/bin/activate
pip install revpayment
```

## Request setup

In your *settings.py* set default class, like this:

```bash
REVPAYMENT = {
    'PRODUCT_CLASS' : 'your product class reference path',
    'PRODUCT_SERIALIZER_CLASS' : 'your product serializer class reference path',
    'BUYER_CLASS' : 'your user class reference path',
    'VERIFY_METHOD' : 'your OAuth verify method class reference path'
    'CLIENT_SECRET': your CLIENT_SECRET,
    'WEB_HOST': your WEB_HOST,
    'API_HOST': your API_HOST,
}
```

Revpayment has some built-in classes, which can also be changed:

```bash
REVPAYMENT = {
    'ORDER_CLASS' : 'your order class reference path',
    'ITEM_CLASS' : 'your item class reference path',
    'CALC_CLASS' : 'your calculation class reference path',
    'CONFIG_CLASS' : 'your config class reference path',
    'HANDLER_CLASS' : 'your handler class reference path',
    'INVOICE_CLASS' : 'your invoice class reference path',
}
```

## Usage

You can launch the API using the package URL,like this in your url.py:

```bash
from revpayment.urls import checkout_urlpatterns, cart_urlpatterns

urlpatterns = [
    *checkout_urlpatterns
    *cart_urlpatterns
]
```

## Django project setup

```bash
npm run config:stg/prod
python manage.py makemigrations
python manage.py migrate
python manage.py runserver
```



